package com.example.notification;

import android.annotation.TargetApi;
import android.app.NotificationChannel;

import android.content.Intent;
import android.graphics.Color;
import android.os.IBinder;
import android.support.annotation.Nullable;
import android.support.v4.app.NotificationCompat;

import com.example.pharmacy.frontEnd.R;


/**
 * Created by pharmacy on 09/01/2018.
 */

public class SedentaryNotification extends Notification {


    @Nullable
    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }


    protected NotificationCompat.Builder setParameters(NotificationCompat.Builder builder) {
        //Get parameters from settings? or set strings?
        builder.setSmallIcon(0);
        builder.setContentTitle(this.getClass().getName());
            builder.setContentText(preferences.getString(getString(R.string.daily_goal_text), getString(R.string.notf_text)));
            builder.setCategory(NotificationCompat.CATEGORY_ALARM);
                return builder;
    }


    @TargetApi(26)
    protected NotificationChannel setChannelParameters(NotificationChannel nc) {
        nc.setDescription(this.getClass().getName());
        nc.enableLights(preferences.getBoolean(getString(R.string.led), false));
        nc.enableVibration(preferences.getBoolean(getString(R.string.vibration), false));
        //Play empty sound for sound??
        return nc;
    }
}
